## org.apache.commons.math
Class DimensionMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.DimensionMismatchException

All Implemented Interfaces:
  java.io.Serializable

    public class DimensionMismatchException

extends MathException

Error thrown when two dimensions differ.

Since:
  1.2
Version:
  $Revision: 811827 $ $Date: 2009-09-06 11:32:50 -0400 (Sun, 06 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private int` `dimension1` First dimension.
`private int` `dimension2` Second dimension.
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`DimensionMismatchException(int dimension1, int dimension2)` Construct an exception from the mismatched dimensions

Method Summary
`int` `getDimension1()` Get the first dimension
`int` `getDimension2()` Get the second dimension

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

### dimension1

    private final int dimension1

  First dimension.

### dimension2

    private final int dimension2

  Second dimension.

Constructor Detail

### DimensionMismatchException

    public DimensionMismatchException(int dimension1,
                                      int dimension2)

  Construct an exception from the mismatched dimensions

  Parameters:
    `dimension1` - first dimension
    `dimension2` - second dimension

Method Detail

### getDimension1

    public int getDimension1()

  Get the first dimension

  Returns:
    first dimension

### getDimension2

    public int getDimension2()

  Get the second dimension

  Returns:
    second dimension

Copyright (c) 2003-2010 Apache Software Foundation